%global _empty_manifest_terminate_build 0
Name:           python-ironic-tempest-plugin
Version:        2.2.0
Release:        2
Summary:        Tempest plugin for ironic and ironic-inspector
License:        Apache-2.0
URL:            https://docs.openstack.org/ironic-tempest-plugin/latest/
Source0:        https://files.pythonhosted.org/packages/36/2d/08253d4c6a98c31d1eaabb14aa10a706ea569ecce2e69679b332b0a16ccc/ironic-tempest-plugin-2.2.0.tar.gz
BuildArch:      noarch
%description


%package -n python3-ironic-tempest-plugin
Summary:        Tempest plugin for ironic and ironic-inspector
Provides:       python-ironic-tempest-plugin
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-fixtures
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-six
BuildRequires:  python3-tempest
BuildRequires:  python3-pycodestyle
# General requires
Requires:       python3-fixtures
Requires:       python3-oslo-config
Requires:       python3-oslo-log
Requires:       python3-oslo-serialization
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-six
Requires:       python3-tempest
%description -n python3-ironic-tempest-plugin


%package help
Summary:        Tempest plugin for ironic and ironic-inspector
Provides:       python3-ironic-tempest-plugin-doc
%description help


%prep
%autosetup -n ironic-tempest-plugin-2.2.0

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-ironic-tempest-plugin -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Mar 01 2023 OpenStack_SIG <openstack@openeuler.org> - 2.2.0-2
- Fix install error

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 2.2.0-1
- Package Spec generate
